Transaction History Inquiry API
Requests transaction history for payments and refunds.
Retrieve transaction details (payment/refund) using the merchant's order date and order number.
API Information
POST/v1/api/pay/translist
Content-Type
application/json테스트
https://tbnpay.settlebank.co.kr/v1/api/pay/translist운영
https://npay.settlebank.co.kr/v1/api/pay/translistRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Unique Merchant ID assigned by Hecto Financial.
Unique Merchant ID assigned by Hecto Financial.
└pktDivCdAN(2)Alphanumeric, up to 2 bytes*Transaction type.
Transaction type.
RP: Payment RT: Cancellation*Transaction type of the order number
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
Merchant order number.
*No Korean characters
└mchtTrdDtAN(8)Alphanumeric, up to 8 bytes*Order date.
Order date.
*yyyyMMdd
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date.
Request date.
*yyyyMMdd
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time.
Request time.
*HH24MISS
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(실시간 생성)SHA-256 hash value.
*Merchant ID + order number + order date + request date + request time + auth key
Request Hash Code
| Item | Combined fields |
|---|---|
| pktHash value | Merchant ID + order number + order date + request date + request time + auth key |
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code (success/failure).
Transaction status code (success/failure).
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
Decline code.
*Refer to rejection code table
└outRsltMsgAN(100)Alphanumeric, up to 100 bytes*Result message.
Processed successfully.Result message.
*Error details are returned when an error occurs.
└dataCntN(4)Numeric, up to 4 bytes*Number of transactions.
10Number of transactions.
*When transaction history exists
└trRecords<object>*Transaction history.
Transaction history.
└--recordOutRsltCdAN(4)Alphanumeric, up to 4 bytes*Transaction result code.
ST00Transaction result code.
*Refer to rejection code table
└--recordOutRsltMsgAN(200)Alphanumeric, up to 200 bytes*Transaction result message.
SuccessTransaction result message.
└--recordOutStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
Transaction status code.
0021: Success 0031: Failure└--recordPktDivCdAN(2)Alphanumeric, up to 2 bytes*Transaction type.
RPTransaction type.
RP: Payment RT: Cancellation└--recordMchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Order number.
OID203739450Order number.
*No Korean characters
└--recordTrdNoAN(40)Alphanumeric, up to 40 bytesHecto Financial transaction reference number.
STFP_FIRM123454667789Hecto Financial transaction reference number.
└--recordTrdDtAN(8)Alphanumeric, up to 8 bytes*Transaction date.
20210820Transaction date.
*yyyymmdd
└--recordTrdAmtN(13)Numeric, up to 13 bytes*Transaction amount.
1000Transaction amount.
*Amount to debit (transaction amount)
└--recordBankCdAN(3)Alphanumeric, up to 3 bytes*Debit bank code.
011Debit bank code.
└--recordCustAcntNoAN(15)Alphanumeric, up to 15 bytes*Debit bank account number.
831*******11Debit bank account number.
*Account number is masked
└--recordSvcDivCdN(1)Numeric, up to 1 bytesService used for the transaction.
Service used for the transaction.
1: Firm banking 2: Open BankingRequest Example
{
"hdInfo": "SPAY_LT00_1.0",
"mchtId": "midtest",
"pktDivCd": "RP",
"mchtTrdNo": "OID201902210001",
"mchtTrdDt": "20191231",
"reqDt": "20191231",
"reqTm": "120000",
"pktHash": "hash value"
}
Response Example
{
"outStatCd": "0021",
"outRsltCd": "0000",
"outRsltMsg": "Processed successfully.",
"dataCnt": "1",
"trRecords": [
{
"recordOutRsltCd": "ST00",
"recordOutRsltMsg": "Success",
"recordOutStatCd": "0021",
"recordPktDivCd": "RP",
"recordMchtTrdNo": "OID203739450",
"recordTrdNo": "STFP_FIRM123454667789",
"recordTrdDt": "20210820",
"recordTrdAmt": "1000",
"recordBankCd": "011",
"recordCustAcntNo": "831*******11",
"recordSvcDivCd": "2"
}
]
}
Need technical support?
Code Samples
HectoFinancial GitHub